[script]
n0=On 1:Start:{ start }
n1=
n2=on *:input:*:{
n3=  var %maxlen = $calc(512 - $len($address($me, 5)) - $len($target) - 14)
n4=  if ($len($1-) <= %maxlen) || ((/* iswm $1) && (/me != $1)) return
n5=  var %i = $numtok($1-, 32), %end = 0
n6=  while (%end < $0) {
n7=    var %start = $calc(%end + 1), %i = $0
n8=    while ($len($gettok($1-, $+(%start, -, %i), 32)) > %maxlen) {
n9=      if (%i < 1) return;
n10=      dec %i
n11=    }
n12=    $iif($1 != /me, say) $gettok($1-, $+(%start, -, %i), 32)
n13=    var %end = %i
n14=  }
n15=  halt
n16=}
n17=
n18=ctcp *:*:{
n19=  if ($1 == VERSION) { ctcpreply $nick VERSION irc-client v0.4 by He||isH for IrcNet.Ru http://help.ircnet.su/files/irc-client.zip | halt }
n20=}
